
exports.up = function(knex, Promise) {
    return knex.schema.createTable('events_participating_groups', function (table) {
        table.increments('id'); //autoincrementing (non-nullable) primary key

        table.integer('mid').notNullable()
            .references('mid').inTable('messages_events')
            .onDelete('CASCADE'); //if event is deleted, also delete from participating_groups

        table.string('gid', 128).notNullable()
            .references('gid').inTable('groups')
            .onDelete('CASCADE'); //if group is deleted, also delete it as a participating group
    });
};

exports.down = function(knex, Promise) {
    return knex.schema.dropTable('events_participating_groups');
};
